Subject: bug#54109: closed (Re: bug#54109: Document package variable in virtlogd service)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Feb 2022 10:58:02 +0000

Your bug report

#54109: Document package variable in virtlogd service

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54109: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54109
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54109: Document package variable in virtlogd service
From: Efraim Flashner <[email-masked]>
To: Simon Streit <[email-masked]>
Cc: [email-masked]
Date: Wed, 23 Feb 2022 12:56:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Feb 22, 2022 at 04:46:15PM +0100, Simon Streit wrote:
> Hello!
> 
> I would like to suggest a little extension in the manual.
> 
> I noticed that the package variable for virtlogd service is not
> documented.  It is possible to define the package as (libvirt libvirt)
> for said service.  While it is closely related to libvirt-service-type,
> the package variable may still be independently modified.
> 
> This only became clear after using inferiors in libvirt-service-type for
> some time now.  New Qemu packages would still be pulled in after
> reconfiguring with new checkouts.  Unfortunately Qemu's packages take a
> lot of space, which is why I've pinned it to a fixed version.
> 
> Thus I think this should be included into the manual.
> 

I was going to say that the libvirt variable is already mentioned in the
virtualization page, but that's for the libvirt-service-type, not for
the virtlogd-service-type.

Thanks. Patch pushed!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: Document package variable in virtlogd service
From: Simon Streit <[email-masked]>
To: [email-masked]
Date: Tue, 22 Feb 2022 16:46:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I would like to suggest a little extension in the manual.

I noticed that the package variable for virtlogd service is not
documented.  It is possible to define the package as (libvirt libvirt)
for said service.  While it is closely related to libvirt-service-type,
the package variable may still be independently modified.

This only became clear after using inferiors in libvirt-service-type for
some time now.  New Qemu packages would still be pulled in after
reconfiguring with new checkouts.  Unfortunately Qemu's packages take a
lot of space, which is why I've pinned it to a fixed version.

Thus I think this should be included into the manual.

>From 634dae4017e840f24e8ed2240707602700e9cf25 Mon Sep 17 00:00:00 2001
From: Simon Streit <[email-masked]>
Date: Tue, 22 Feb 2022 16:23:38 +0100
Subject: [PATCH] doc: Add documentation.

* doc/guix.texi (Virtualization Services): Document virtlogd package
variable.
---
 doc/guix.texi | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index a4145af7fd..528760d7f6 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -30888,6 +30888,10 @@ Its value must be a @code{virtlog-configuration}.
 @end lisp
 @end deffn
 
+@deftypevar {@code{libvirt} parameter} package libvirt
+Libvirt package.
+@end deftypevar
+
 @deftypevr {@code{virtlog-configuration} parameter} integer log-level
 Logging level.  4 errors, 3 warnings, 2 information, 1 debug.
 
-- 
2.34.0

Kind regards
Simon